CREATE FUNCTION [dbo].[FN_CERTID]
(
	@LP_CD VARCHAR(3)
)
RETURNS VARCHAR(MAX)
AS
BEGIN

	-- Declare the return variable here
	DECLARE @RETURN VARCHAR(MAX);
	DECLARE @LAST_INV_NO as VARCHAR(MAX) = (SELECT TOP 1 CERTIFICATE_ID FROM TB_R_DLV_INV_UPLOAD WHERE LP_CD = @LP_CD ORDER BY CERTIFICATE_ID DESC)
	
	DECLARE @Y as varchar(2) = SUBSTRING(CAST(GETDATE() as VARCHAR(MAX)),10,2);
	DECLARE @M as varchar(2) = dbo.FN_VARMONTH(GETDATE());
	DECLARE @D as varchar(2) = dbo.FN_VARDAY(GETDATE());
	DECLARE @NOW as varchar(6) = @Y+''+@M+''+@D;
	DECLARE @DIGIT as varchar(10) = '0000000000';
	
	IF(@LAST_INV_NO <> '')
	BEGIN
		IF(SUBSTRING(@LAST_INV_NO,4,6)=@NOW)
		BEGIN
			DECLARE @ADDS AS VARCHAR(MAX) = CAST(CAST(SUBSTRING(@LAST_INV_NO, 10,10) as INT)+1 as VARCHAR(MAX));
			SET @RETURN = @LP_CD+@Y+@M+@D+SUBSTRING(@DIGIT, 1, LEN(@DIGIT)-LEN(@ADDS))+@ADDS
		END
		ELSE
		BEGIN
			SET @RETURN = @LP_CD+''+@Y+''+@M+''+@D+'0000000001';
		END
	END
	ELSE
	BEGIN
		SET @RETURN = @LP_CD+''+@Y+''+@M+''+@D+'0000000001';
	END

	RETURN @RETURN;

END

